> For the complete documentation index, see [llms.txt](https://docs.moregoodreviews.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.moregoodreviews.com/agencies/api-reference/clients.md).

# Clients

## List Clients

> Retrieve client-console users and their scoped project access.

```json
{"openapi":"3.0.3","info":{"title":"MGR Agency API","version":"1.0.0"},"tags":[{"name":"Clients"}],"servers":[{"url":"https://api.moregoodreviews.com/agency"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"ApiKey"}}},"paths":{"/clients":{"get":{"tags":["Clients"],"summary":"List Clients","operationId":"listClients","description":"Retrieve client-console users and their scoped project access.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"success":{"type":"boolean","description":"Indicates whether the request completed successfully."},"code":{"type":"integer","description":"Short code or application-level status code for this resource."},"data":{"type":"array","description":"Response payload for the request.","items":{"type":"object","description":"Response payload for the request.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"role_slug":{"type":"string","description":"Role slug that controls the user's permissions."},"invite_email":{"type":"string","description":"Invite email for this resource."},"invited_at":{"type":"integer","description":"Invited at for this resource."},"joined_at":{"type":"string","description":"Joined at for this resource.","nullable":true},"created_at":{"type":"integer","description":"Unix timestamp when this resource was created."},"updated_at":{"type":"integer","description":"Unix timestamp when this resource was last updated."},"sections":{"type":"array","description":"List of sections for this resource.","items":{"type":"object","description":"Sections for this resource.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"slug":{"type":"string","description":"URL-friendly identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."}}}},"projects":{"type":"array","description":"List of projects for this resource.","items":{"type":"object","description":"Projects for this resource.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"name":{"type":"string","description":"Display name for this resource."},"slug":{"type":"string","description":"URL-friendly identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"is_active":{"type":"boolean","description":"Whether the project is active."},"is_paused":{"type":"boolean","description":"Whether the project is paused."},"is_suspended":{"type":"boolean","description":"Whether the project has been suspended."},"features":{"type":"object","description":"Feature limits and feature flags enabled for the project.","properties":{"asks":{"type":"integer","description":"Maximum or current allowance for review request records."},"customers":{"type":"integer","description":"Maximum or current allowance for customer records."},"locations":{"type":"integer","description":"Maximum or current allowance for location records."},"members":{"type":"integer","description":"Maximum or current allowance for member records."},"links":{"type":"integer","description":"Maximum or current allowance for link records."},"tags":{"type":"integer","description":"Maximum or current allowance for tag records."},"widgets":{"type":"integer","description":"Maximum or current allowance for widget records."},"api":{"type":"boolean","description":"Whether API access is enabled."},"webhooks":{"type":"boolean","description":"Whether webhook access is enabled."},"forms_advanced":{"type":"boolean","description":"Whether advanced forms are enabled."},"ambassador":{"type":"boolean","description":"Whether ambassador features are enabled."}}},"created_at":{"type":"integer","description":"Unix timestamp when this resource was created."},"updated_at":{"type":"integer","description":"Unix timestamp when this resource was last updated."}}}}}}}}}}}}}}}}}
```

## Invite Client

> Invite a client user and assign project or section access.

```json
{"openapi":"3.0.3","info":{"title":"MGR Agency API","version":"1.0.0"},"tags":[{"name":"Clients"}],"servers":[{"url":"https://api.moregoodreviews.com/agency"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"ApiKey"}}},"paths":{"/clients":{"post":{"tags":["Clients"],"summary":"Invite Client","operationId":"inviteClient","description":"Invite a client user and assign project or section access.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"success":{"type":"boolean","description":"Indicates whether the request completed successfully."},"code":{"type":"integer","description":"Short code or application-level status code for this resource."},"data":{"type":"object","description":"Response payload for the request.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"role_slug":{"type":"string","description":"Role slug that controls the user's permissions."},"invite_email":{"type":"string","description":"Invite email for this resource."},"invited_at":{"type":"integer","description":"Invited at for this resource."},"joined_at":{"type":"string","description":"Joined at for this resource.","nullable":true},"created_at":{"type":"integer","description":"Unix timestamp when this resource was created."},"updated_at":{"type":"integer","description":"Unix timestamp when this resource was last updated."},"sections":{"type":"array","description":"List of sections for this resource.","items":{"type":"object","description":"Sections for this resource.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"slug":{"type":"string","description":"URL-friendly identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."}}}},"projects":{"type":"array","description":"List of projects for this resource.","items":{"type":"object","description":"Projects for this resource.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"name":{"type":"string","description":"Display name for this resource."},"slug":{"type":"string","description":"URL-friendly identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"is_active":{"type":"boolean","description":"Whether the project is active."},"is_paused":{"type":"boolean","description":"Whether the project is paused."},"is_suspended":{"type":"boolean","description":"Whether the project has been suspended."},"features":{"type":"object","description":"Feature limits and feature flags enabled for the project.","properties":{"asks":{"type":"integer","description":"Maximum or current allowance for review request records."},"customers":{"type":"integer","description":"Maximum or current allowance for customer records."},"locations":{"type":"integer","description":"Maximum or current allowance for location records."},"members":{"type":"integer","description":"Maximum or current allowance for member records."},"links":{"type":"integer","description":"Maximum or current allowance for link records."},"tags":{"type":"integer","description":"Maximum or current allowance for tag records."},"widgets":{"type":"integer","description":"Maximum or current allowance for widget records."},"api":{"type":"boolean","description":"Whether API access is enabled."},"webhooks":{"type":"boolean","description":"Whether webhook access is enabled."},"forms_advanced":{"type":"boolean","description":"Whether advanced forms are enabled."},"ambassador":{"type":"boolean","description":"Whether ambassador features are enabled."}}},"created_at":{"type":"integer","description":"Unix timestamp when this resource was created."},"updated_at":{"type":"integer","description":"Unix timestamp when this resource was last updated."}}}}}}}}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"email":{"type":"string","description":"Email address for the person or customer."},"project_ids":{"type":"array","description":"Project identifiers the client can access.","items":{"type":"integer","description":"Project identifiers the client can access."}},"role_slug":{"type":"string","description":"Role slug that controls the user's permissions.","enum":["manager","operator","viewer"]},"section_ids":{"type":"array","description":"Product section identifiers the client can access.","items":{"type":"integer","description":"Product section identifiers the client can access."}}},"required":["email","project_ids"]}}}}}}}}
```

## Update Client

> Change a client user's role and accessible projects or sections.

```json
{"openapi":"3.0.3","info":{"title":"MGR Agency API","version":"1.0.0"},"tags":[{"name":"Clients"}],"servers":[{"url":"https://api.moregoodreviews.com/agency"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"ApiKey"}}},"paths":{"/clients/{client_id}":{"put":{"tags":["Clients"],"summary":"Update Client","operationId":"updateClient","description":"Change a client user's role and accessible projects or sections.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"success":{"type":"boolean","description":"Indicates whether the request completed successfully."},"code":{"type":"integer","description":"Short code or application-level status code for this resource."},"data":{"type":"object","description":"Response payload for the request.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"role_slug":{"type":"string","description":"Role slug that controls the user's permissions."},"invite_email":{"type":"string","description":"Invite email for this resource."},"invited_at":{"type":"integer","description":"Invited at for this resource."},"joined_at":{"type":"string","description":"Joined at for this resource.","nullable":true},"created_at":{"type":"integer","description":"Unix timestamp when this resource was created."},"updated_at":{"type":"integer","description":"Unix timestamp when this resource was last updated."},"sections":{"type":"array","description":"List of sections for this resource.","items":{"type":"object","description":"Sections for this resource.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"slug":{"type":"string","description":"URL-friendly identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."}}}},"projects":{"type":"array","description":"List of projects for this resource.","items":{"type":"object","description":"Projects for this resource.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"name":{"type":"string","description":"Display name for this resource."},"slug":{"type":"string","description":"URL-friendly identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"is_active":{"type":"boolean","description":"Whether the project is active."},"is_paused":{"type":"boolean","description":"Whether the project is paused."},"is_suspended":{"type":"boolean","description":"Whether the project has been suspended."},"features":{"type":"object","description":"Feature limits and feature flags enabled for the project.","properties":{"asks":{"type":"integer","description":"Maximum or current allowance for review request records."},"customers":{"type":"integer","description":"Maximum or current allowance for customer records."},"locations":{"type":"integer","description":"Maximum or current allowance for location records."},"members":{"type":"integer","description":"Maximum or current allowance for member records."},"links":{"type":"integer","description":"Maximum or current allowance for link records."},"tags":{"type":"integer","description":"Maximum or current allowance for tag records."},"widgets":{"type":"integer","description":"Maximum or current allowance for widget records."},"api":{"type":"boolean","description":"Whether API access is enabled."},"webhooks":{"type":"boolean","description":"Whether webhook access is enabled."},"forms_advanced":{"type":"boolean","description":"Whether advanced forms are enabled."},"ambassador":{"type":"boolean","description":"Whether ambassador features are enabled."}}},"created_at":{"type":"integer","description":"Unix timestamp when this resource was created."},"updated_at":{"type":"integer","description":"Unix timestamp when this resource was last updated."}}}}}}}}}}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"role_slug":{"type":"string","description":"Role slug that controls the user's permissions.","enum":["manager","operator","viewer"]},"project_ids":{"type":"array","description":"Project identifiers the client can access.","items":{"type":"integer","description":"Project identifiers the client can access."}},"section_ids":{"type":"array","description":"Product section identifiers the client can access.","items":{"type":"integer","description":"Product section identifiers the client can access."}}}}}}},"parameters":[{"name":"client_id","in":"path","required":true,"schema":{"type":"integer","nullable":false,"description":"Unique numeric identifier for the client user."},"description":"Unique numeric identifier for the client user."}]}}}}
```

## Delete Client

> Remove a client user's access to the agency console.

```json
{"openapi":"3.0.3","info":{"title":"MGR Agency API","version":"1.0.0"},"tags":[{"name":"Clients"}],"servers":[{"url":"https://api.moregoodreviews.com/agency"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"ApiKey"}}},"paths":{"/clients/{client_id}":{"delete":{"tags":["Clients"],"summary":"Delete Client","operationId":"deleteClient","description":"Remove a client user's access to the agency console.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"success":{"type":"boolean","description":"Indicates whether the request completed successfully."},"code":{"type":"integer","description":"Short code or application-level status code for this resource."}}}}}}},"parameters":[{"name":"client_id","in":"path","required":true,"schema":{"type":"integer","nullable":false,"description":"Unique numeric identifier for the client user."},"description":"Unique numeric identifier for the client user."}]}}}}
```

## Resend Client Invite

> Send another onboarding invitation to a pending client user.

```json
{"openapi":"3.0.3","info":{"title":"MGR Agency API","version":"1.0.0"},"tags":[{"name":"Clients"}],"servers":[{"url":"https://api.moregoodreviews.com/agency"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"http","scheme":"bearer","bearerFormat":"ApiKey"}}},"paths":{"/clients/{client_id}/resend-invite":{"post":{"tags":["Clients"],"summary":"Resend Client Invite","operationId":"resendClientInvite","description":"Send another onboarding invitation to a pending client user.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","description":"Object containing response data for this resource.","properties":{"success":{"type":"boolean","description":"Indicates whether the request completed successfully."},"code":{"type":"integer","description":"Short code or application-level status code for this resource."},"data":{"type":"object","description":"Response payload for the request.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"role_slug":{"type":"string","description":"Role slug that controls the user's permissions."},"invite_email":{"type":"string","description":"Invite email for this resource."},"invited_at":{"type":"integer","description":"Invited at for this resource."},"joined_at":{"type":"string","description":"Joined at for this resource.","nullable":true},"created_at":{"type":"integer","description":"Unix timestamp when this resource was created."},"updated_at":{"type":"integer","description":"Unix timestamp when this resource was last updated."},"sections":{"type":"array","description":"List of sections for this resource.","items":{"type":"object","description":"Sections for this resource.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"slug":{"type":"string","description":"URL-friendly identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."}}}},"projects":{"type":"array","description":"List of projects for this resource.","items":{"type":"object","description":"Projects for this resource.","properties":{"id":{"type":"integer","description":"Unique numeric identifier for this resource."},"name":{"type":"string","description":"Display name for this resource."},"slug":{"type":"string","description":"URL-friendly identifier for this resource."},"uuid":{"type":"string","description":"Stable UUID for this resource."},"is_active":{"type":"boolean","description":"Whether the project is active."},"is_paused":{"type":"boolean","description":"Whether the project is paused."},"is_suspended":{"type":"boolean","description":"Whether the project has been suspended."},"features":{"type":"object","description":"Feature limits and feature flags enabled for the project.","properties":{"asks":{"type":"integer","description":"Maximum or current allowance for review request records."},"customers":{"type":"integer","description":"Maximum or current allowance for customer records."},"locations":{"type":"integer","description":"Maximum or current allowance for location records."},"members":{"type":"integer","description":"Maximum or current allowance for member records."},"links":{"type":"integer","description":"Maximum or current allowance for link records."},"tags":{"type":"integer","description":"Maximum or current allowance for tag records."},"widgets":{"type":"integer","description":"Maximum or current allowance for widget records."},"api":{"type":"boolean","description":"Whether API access is enabled."},"webhooks":{"type":"boolean","description":"Whether webhook access is enabled."},"forms_advanced":{"type":"boolean","description":"Whether advanced forms are enabled."},"ambassador":{"type":"boolean","description":"Whether ambassador features are enabled."}}},"created_at":{"type":"integer","description":"Unix timestamp when this resource was created."},"updated_at":{"type":"integer","description":"Unix timestamp when this resource was last updated."}}}}}}}}}}}},"parameters":[{"name":"client_id","in":"path","required":true,"schema":{"type":"integer","nullable":false,"description":"Unique numeric identifier for the client user."},"description":"Unique numeric identifier for the client user."}]}}}}
```
